Changeset 3815

Show
Ignore:
Timestamp:
07/08/03 11:05:35 (11 years ago)
Author:
khali
Message:

Display an important note about the I2C incompatibility issue

after "make install".

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • i2c/branches/lk2-4/Makefile

    r3811 r3815  
    176176 
    177177install :: all 
     178        @echo "*** The depmod command below may generate errors. We are aware of the" 
     179        @echo "*** problem and are working on a solution. You should ignore them for now." 
    178180ifeq ($(DESTDIR),) 
    179181        -/sbin/depmod -a 
     
    181183        -/sbin/depmod -a -b $(DESTDIR) 
    182184endif 
     185        @echo "*** Installation successful!" 
     186        @echo "*** Important note:" 
     187        @echo "***    Due to a change in our i2c structures, i2c-related drivers from" 
     188        @echo "***    the Linux kernel and from external sources won't work with this" 
     189        @echo "***    version of i2c. Such drivers include commonly used video drivers" 
     190        @echo "***    such as bttv and zoran, and less commonly used ones such as" 
     191        @echo "***    i2c-matroxfb. If you really need these, then you shouldn't use our" 
     192        @echo "***    i2c package. If you can leave without them, you should make sure" 
     193        @echo "***    such drivers do not exist on your system anymore. Loading them" 
     194        @echo "***    now would result in a severe system crash. We are working on the" 
     195        @echo "***    problem and will soon submit a complete i2c patch for inclusion in" 
     196        @echo "***    the Linux 2.4 kernel." 
    183197 
    184198clean::